Bug 400411 - SATA drive not found after kernel 2.6.23 installed
SATA drive not found after kernel 2.6.23 installed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
http://forums.fedoraforum.org/forum/s...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 20:06 EST by Martin Rehder
Modified: 2007-12-07 18:32 EST (History)
0 users

See Also:
Fixed In Version: 2.6.23.8-34.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-07 18:32:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Rehder 2007-11-26 20:06:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.9) Gecko/20071105 Fedora/2.0.0.9-1.fc7 Firefox/2.0.0.9

Description of problem:
SATA drive is not recognized. multiple Messages at boot are:

ata3: COMReset failed (errno=768), retrying in 10 secs

After 2-3 minutes, system boots, but SATA drive not there. This drive works fine when I boot windows (it IS my windows boot drive)

Above link to fedoraforum shows man steps and additional output as requested.

Further research resulted in trying boot options of:

acpi=off
pci=nomsi, nommconf

with no change in results. SATA drive still not found.

Version-Release number of selected component (if applicable):
kernel-2.6.23.1-21.fc7

How reproducible:
Always


Steps to Reproduce:
1. Load Fedora 7 with aforementioned kernel on ASUS P4S800D-X motherboard with attached SATAS drive
2. sit back and boot.
3. cry

Actual Results:
systems boots with nothing in /dev or /media that is mountable for SATA

Expected Results:
should have been able to see/mount SATA drive

Additional info:
Comment 2 Chuck Ebbert 2007-11-27 16:35:10 EST
Fix is in 2.6.23.8-34, in updates-testing.

To install:

 $ sudo yum --enablerepo=updates-testing update kernel

Comment 3 Martin Rehder 2007-11-27 20:18:17 EST
Yup, that fixes it alright. 
But, it dorks up my nvidia driver so I'll wait until there is one of those that
meshes with this kernel and its released.

Many thanks,
Martin

Note You need to log in before you can comment on or make changes to this bug.